import logging
from aiogram.utils.exceptions import BotBlocked, MessageNotModified

from load import dp


@dp.errors_handler()
async def errors_handler(update, exception):
    if isinstance(exception, BotBlocked):
        logging.info("Bot blocked")
        return True
    if isinstance(exception, MessageNotModified): return True